Subject: bug#4717: 23.1.50; C-M-h in bibtex mode

From: Chong Yidong <[email-masked]>
Date: Thu, 15 Oct 2009 16:56:31 -0400

Hi Roland,

Could you take a look at this bug?  There seems to be no good reason for
bibtex to behave differently than the rest of Emacs.  What bibtex-mode
probably needs to do is to bind beginning/end-of-defun-function to
bibtex-beginning/end-of-entry.  Then you can remove bibtex-mark-entry
(or rather make it an obsolete alias for mark-defun).

WDYT?

> C-M-h which runs bibtex-mark-entry in BibTeX-mode seems to be
> inconsistent with C-M-h in other modes. For example, C-M-h in
> emacs-lisp-mode will mark the 'defun' with highlighted region and the
> point in the beginning of the region.

> In BibTeX mode, however, the region is _not_ highlighted and the point
> is left at the end of the region.

> I wonder if this inconsistency can be done away with.